package com.staffing.custom.mapper;

import com.staffing.custom.domain.StEmployeeFundRecord;
import com.staffing.custom.domain.StTaskSign;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 员工资金流水Mapper接口
 * 
 * @author staffing
 * @date 2024-08-27
 */
public interface StEmployeeFundRecordMapper 
{
    /**
     * 查询员工资金流水
     * 
     * @param id 员工资金流水主键
     * @return 员工资金流水
     */
    public StEmployeeFundRecord selectStEmployeeFundRecordById(Long id);

    public StEmployeeFundRecord selectStEmployeeFundRecordByUidAndTaskId(@Param("taskId") Long taskId, @Param("employeeId") Long employeeId);

    public List<StEmployeeFundRecord> selectStEmployeeFundRecordByTaskIds(@Param("taskIds") List<Long> id);
    /**
     * 查询员工资金流水列表
     * 
     * @param stEmployeeFundRecord 员工资金流水
     * @return 员工资金流水集合
     */
    public List<StEmployeeFundRecord> selectStEmployeeFundRecordList(StEmployeeFundRecord stEmployeeFundRecord);

    /**
     * 新增员工资金流水
     * 
     * @param stEmployeeFundRecord 员工资金流水
     * @return 结果
     */
    public int insertStEmployeeFundRecord(StEmployeeFundRecord stEmployeeFundRecord);

    /**
     * 修改员工资金流水
     * 
     * @param stEmployeeFundRecord 员工资金流水
     * @return 结果
     */
    public int updateStEmployeeFundRecord(StEmployeeFundRecord stEmployeeFundRecord);
    public int updateStEmployeeFundRecordByTaskAndUid(StEmployeeFundRecord stEmployeeFundRecord);
    public int updateStEmployeeFundRecordByTask(StEmployeeFundRecord stEmployeeFundRecord);
    public int updateStEmployeeFundRecordByEmId(StEmployeeFundRecord stEmployeeFundRecord);

    /**
     * 删除员工资金流水
     * 
     * @param id 员工资金流水主键
     * @return 结果
     */
    public int deleteStEmployeeFundRecordById(Long id);

    /**
     * 批量删除员工资金流水
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteStEmployeeFundRecordByIds(Long[] ids);

    public int deleteStEmployeeFundRecordByUidAndTaskId(@Param("taskId") Long taskId, @Param("employeeId") Long employeeId);

}
